#5120 ThunderStorm, Thunder II, and all DSP-based Image Processing Accelerators Q&A


This document pertains to all Spectrum Power w/DSP, ThunderStorm, Thunder II, Thunder II•GX, PhotoSpeed, and upgraded Thunder/24 cards.

Definition of Terms:

GX Controls plug-in:

This software provides the on-screen CMYK acceleration for the Thunder II GX series of graphics cards, as well as Thunder/24 cards with the Thunder II GX upgrade. The GX Controls software relies on a custom ASIC chip that is found on the Thunder II GX daughtercard.

IPA software:

(IPA = Image Processing Acceleration) This software is the 'DSP code' that accelerates Photoshop resamples and filters on all SuperMac & E-Machines graphics cards with twin DSP16A chips, as well as the ThunderStorm Photoshop accelerators. The IPA software consists of a control panel and two plug-ins.


Q: Are the SuperMac image-processing accelerators compatible with the Power Macintosh computers?

A: Yes. Version 2.5.6 of the IPA/GX software added support for the Power Macintosh in early 1994. The current version of the software is IPA/GX 3.0. This update is posted in the Radius software libraries on America Online, AppleLink, CompuServe, eWorld, on the internet at ftp.radiusvintage.com, and the Radius On-line BBS at 408-541-6190.

Q: Are the SuperMac image-processing accelerator products compatible with Adobe Photoshop 3.0?

A: Yes. With the recent release of IPA/GX 3.0, the SuperMac image-processing accelerators are now compatible with Photoshop 3.0. IPA/GX 3.0 is also fully backwards compatible with Photoshop 2.5 and 2.5.1, and runs on both Power Macs and 68K Macs. The IPA/GX version 3.0 software is posted to the Radius software libraries on America Online, AppleLink, CompuServe, eWorld, and the Radius On-line BBS by dialing 408-541-6190.

IMPORTANT: Whenever you upgrade your IPA software, you should trash your Photoshop Prefs file before launching Photoshop.

Q: Are the SuperMac image-processing accelerator products compatible with System 7.5?

A: Yes, the SuperMac image-processing accelerator -- in the form of either the ThunderStorm NuBus card, the Thunder II or Thunder II GX daughtercards, or the SuperMac Power DSP Upgrade -- is compatible with System 7.5.

Q: What is the difference between the "ThunderStorm for Adobe Photoshop" NuBus card, the Thunder II Upgrade, the Spectrum Power DSP Upgrade, and the DSP daughtercard on the Thunder II family of cards?

A: Physical form is the only difference. The advantage of having the image-processing accelerator as a daughtercard is that this solution does not require an additional NuBus slot. The Spectrum Power DSP Upgrade is for the Spectrum Power•1152, as well as some E-Machines Ultura and Futura II cards.

Q: Will my NuBus version of the ThunderStorm for Adobe Photoshop card work in a Power Macintosh?

A: Yes, as long as you have IPA/GX software version 2.5.6 or greater installed, your ThunderStorm card will work in either the Power Mac 7100 or 8100; it will not work in the Power Mac 6100 due to the 6100's limited 7-inch expansion slot. IPA/GX 3.0 is currently the latest version of the image-processing acceleration software, and this is both compatible with and optimized for Power Macs.

IMPORTANT: Whenever you upgrade your IPA software, you should trash your Photoshop Prefs file before launching Photoshop. Also, if you're using Photoshop v3.0, you should have IPA/GX 3.0 installed for best results.

Q: I've installed a SuperMac DSP-based image-processing accelerator, and ever since, I've had crashes, freezes, and generally odd behavior within Photoshop. Why is this happening?

A: You probably forgot to trash your Photoshop Prefs file after installing the SuperMac image-processing accelerator and its accompanying software. Although your image-processing accelerator uses Adobe's own algorithms to accelerate the processing of certain filters and functions, your Photoshop application is not instantly adaptable. By throwing out your old Photoshop Prefs file (located in the Preferences folder within your System Folder), you are allowing Photoshop to reconfigure itself to gain the greatest possible performance from the image-processing accelerator.

Q: I am getting the error message "The IPA software cannot run on this machine. A 68020 processor or better is required." Why is this happening?

A: Early versions of the IPA software contained a bug that gave the above error message even though the software was running on a "68020 or better" processor. Upgrading your IPA/GX software to version 2.5.7 or later corrects this problem. The latest software may be downloaded from the Radius software libraries on America Online, AppleLink, CompuServe, eWorld, via internet at ftp.radiusvintage.com, and the Radius On-line BBS by dialing 408-541-6190 via modem.


Return to Radius Technical Q&A

Comments to support@radius.com